Subject: Re: bug#16828: 24.3.50; eval-expression, character representation of integer results time-consuming

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2014 23:00:10 +0200

> From: Stephen Berman <[email-masked]>
> Cc: Anders Lindgren <[email-masked]>,  [email-masked]
> Date: Sat, 22 Feb 2014 19:53:13 +0100
> 
> In my case the delay can be as long as ~90 (ninety!) seconds.  Even
> though this happens only once per session, such a long delay, during
> which Emacs is effectively frozen, is quite annoying, especially when
> reading mail or news, where it is typically unexpected.  Could the
> option be a timeout, say if the font isn't found within X seconds (with
> a low default), then just some placeholder will be shown, and maybe a
> message indicating the failure to find the font in that time?

I don't think the time this takes is spend _looking_ for a font, I
think it's spend loading a font.  But someone will have to trace and
profile this, and then come up with an analysis.